/*
 * Copyright (C) 2002 Robert Ernst <robert.ernst@linux-solutions.at>
 *
 * This file may be distributed and/or modified under the terms of the
 * GNU General Public License version 2 as published by the Free Software
 * Foundation and appearing in the file LICENSE.GPL included in the
 * packaging of this file.
 *
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 *
 * See COPYING for GPL licensing information.
 *
 */

#ifndef __FISH_HEADER__
#define __FISH_HEADER__

#include <qpe/qpemenubar.h>
#include <qmainwindow.h>
#include <qpopupmenu.h>
#include "FishWidget.h"

class Fish : public QMainWindow
{
    Q_OBJECT

public:
    Fish(QWidget *parent = 0, const char *name = 0, WFlags f = 0);
    ~Fish();

private:
    void readConfig(void);
    void writeConfig(void);

private:
    FishWidget *m_fishWidget;
    QPopupMenu *m_bubblesMenu;
    QPopupMenu *m_fishMenu;
    QPopupMenu *m_timerMenu;
    int m_bubbles;
    int m_fish;
    int m_timer;

protected slots:
    void updateBubbles(int bubbles);
    void updateFish(int fish);
    void updateTimer(int timer);
};

#endif // __FISH_HEADER__

