/*
 * Copyright (C) 2002 Robert Ernst <robert.ernst@linux-solutions.at>
 *
 * This file may be distributed and/or modified under the terms of the
 * GNU General Public License version 2 as published by the Free Software
 * Foundation and appearing in the file LICENSE.GPL included in the
 * packaging of this file.
 *
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 *
 * See COPYING for GPL licensing information.
 *
 */

#ifndef __SPRITECOLLECTION_HEADER__
#define __SPRITECOLLECTION_HEADER__

#include <qwidget.h>
#include <qpixmap.h>
#include <qpainter.h>

class SpriteCollection
{
public:
    SpriteCollection(QWidget *parent);

public:
    static const int max_xfish = 26;

private:
    QPixmap m_bubble[5];
    QPixmap m_fish[3];
    QPixmap m_fish_b[3];
    QPixmap m_xfish[max_xfish][4];
    QPixmap m_water;

public:
    void drawBubble(QPainter &painter, int x, int y, int state);
    void drawFish(QPainter &painter, int x, int y, int state, int dir);
    void drawXFish(QPainter &painter, int x, int y, int which, int state, int dir);
    int xFishCount(void);
    int xFishWidth(int which);
    int xFishHeight(int which);
    void drawWater(QPainter &painter, int x, int y);
    void scaleWater(int w, int h);
};

#endif // __SPRITECOLLECTION_HEADER__

